Texa DeskDevelopers

Texa Desk Application API · Labels

List all labels

GET/api/v1/accounts/{account_id}/labels

List all labels available in the current account

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

Responses

200

Success

payloadarray of object

Array of labels

payload[].idnumber

The ID of the label

payload[].titlestring

The title of the label

payload[].descriptionstring

The description of the label

payload[].colorstring

Hex color code for the label

payload[].show_on_sidebarboolean

Whether the label should appear in the sidebar

401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring